hardcode aclocal-1.4/automake-1.4 so that users with both automake 1.6 and

2002-08-18  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
	both automake 1.6 and 1.4 installed get the right automake. Means
	compilation from CVS will now require the latest automake 1.4
	release, or manually creating symlinks called "automake-1.4" and
	"aclocal-1.4"
diff --git a/ChangeLog b/ChangeLog
index 9d7a124..edc1d29 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2002-08-18  Havoc Pennington  <hp@pobox.com>
+
+	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
+	both automake 1.6 and 1.4 installed get the right automake. Means
+	compilation from CVS will now require the latest automake 1.4
+	release, or manually creating symlinks called "automake-1.4" and
+	"aclocal-1.4"
+
 Wed Aug 14 18:54:19 CEST 2002 Daniel Veillard <daniel@veillard.com>
 
 	* configure.in python/Makefile.am: more AMD 64 induced changes from
diff --git a/autogen.sh b/autogen.sh
index 2c297f1..ea182d1 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,7 +24,7 @@
 	DIE=1
 }
 
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+(automake-1.4 --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "You must have automake installed to compile libxml."
 	echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
@@ -47,8 +47,8 @@
 fi
 
 libtoolize --copy --force
-aclocal $ACLOCAL_FLAGS
-automake --add-missing
+aclocal-1.4 $ACLOCAL_FLAGS
+automake-1.4 --add-missing
 autoconf
 
 cd $THEDIR